1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

pam_script!!

Discussão em 'Dúvidas e Suporte Técnico - GNU/Linux & *nix' iniciada por dmmxyz, 16 de Março de 2009. (Respostas: 1; Visualizações: 565)

  1. Boas pessoal!

    Ando a fazer umas pequenas coisas em Linux no que diz respeito a bash scripting e como tal cheguei a um ponto em que preciso de usar o pam_script, como tal, fiz download do mesmo (libpam-script-0.1.12) mas no momento em que vou a criar a lib, da-me um erro que sinceramente nao sei como resolver!

    Alguem por aqui que tenha uma ideia de como o resolver? Pelo que me parece faltam alguns files para que o mesmo possa ser compilado, mas estes ficheiro que faltam já nao deviam vir com a distro?

    Versao do linux:

    Linux version 2.6.24-23-server ([email protected]) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7))

    Erro ao compilar o pam_script:

    gcc -Wall -pedantic -fPIC -shared -o pam_script.so pam_script.c
    pam_script.c:27:34: erro: security/_pam_macros.h: Ficheiro ou directoria inexistente
    pam_script.c:28:34: erro: security/pam_modules.h: Ficheiro ou directoria inexistente
    pam_script.c:52: erro: expected â)â before â*â token
    pam_script.c:87: erro: expected â)â before â*â token
    pam_script.c:264: erro: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âintâ
    pam_script.c:273: erro: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âintâ
    pam_script.c:283: erro: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âintâ
    pam_script.c:344: erro: expected â=â, â,â, â;â, âasmâ or â__attribute__â before âintâ

    Obg!
     
  2. Podem fechar, está resolvido o problema!
     

Partilhar esta Página